package com.redxun.knowledge.album.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumApprove;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* 业务--专辑审批表数据库访问层
*/
@Mapper
public interface AlbumApproveMapper extends BaseDao<AlbumApprove> {

    List<AlbumApprove> findAllAlbumApprove(@Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    /**
     * 根据版本Id删除记录
     * @param pkId
     */
    void deleteByVersionId(String pkId);

    /**
     * 根据专辑Id查询审核表中批次(每次生成批次+1)(删除的审批记录批次也要)
     * @param albumId
     * @return
     */
    List<AlbumApprove> selectAlbumApproveListBatch(String albumId);
}
