package com.redxun.knowledge.album.mapper;

import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumCatalogueKnowledge;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* 业务--专辑目录知识表数据库访问层
*/
@Mapper
public interface AlbumCatalogueKnowledgeMapper extends BaseDao<AlbumCatalogueKnowledge> {

    /**
     * 批量删除知识
     * @param albumCatalogueIdList
     */
    void deleteByCatalogueId(@Param("ids") List<String> albumCatalogueIdList);

    /**
     * 根据目录Id批量删除指定知识
     * @param k
     * @param v
     */
    void deleteByCatalogueIds(@Param("catalogueId") String k, @Param("knowledgeIdList") List<String> v);

    /**
     * 根据目录Id查询目录下全部知识
     * @param catalogueId
     * @return
     */
    List<AlbumCatalogueKnowledge> findAllAlbumCatalogueKnowledgeList(@Param("catalogueId") String catalogueId);
}
