package com.redxun.knowledge.album.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumYelpApprove;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* 业务--专辑点评审批表数据库访问层
*/
@Mapper
public interface AlbumYelpApproveMapper extends BaseDao<AlbumYelpApprove> {

    /**
     * 根据专辑Id删除点评审核流程
     * @param ids
     */
    void deleteByAlbumId(String ids);

    List<AlbumYelpApprove> findAllAlbumYelpApprove(@Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    /**
     * 清除审批记录表
     * @param yelp
     */
    void deleteByYelpId(@Param("yelp") List<String> yelp);
}
