package com.redxun.knowledge.analysis.mapper;


import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.analysis.entity.dao.PvLog;
import com.redxun.knowledge.analysis.entity.vo.AlbumDetailVisitsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
* 业务--系统页面访问量日志表数据库访问层
*/
@Mapper
public interface PvLogMapper extends BaseDao<PvLog> {

    /**
     * 统计当前年的搜索访问总量
     * @param firstYearDate
     * @param lastYearDate
     * @return
     */
    Integer selectYearTotal(@Param("firstYearDate") String firstYearDate, @Param("lastYearDate") String lastYearDate);

    /**
     * 根据月份查询各个业务系统访问量
     * @param firstOfMonth
     * @param lastOfMonth
     * @param platform
     * @return
     */
    Integer selectSearchVisitHistogramByMonth(@Param("firstOfMonth") String firstOfMonth,
                                              @Param("lastOfMonth") String lastOfMonth,
                                              @Param("platform") String platform);

    /**
     * 专辑详情Top访问量（pv）统计
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<AlbumDetailVisitsVo> albumDetailVisits(@Param("firstDay") String firstDay,@Param("lastDay") String lastDay);
}
