package com.redxun.knowledge.task;

import com.redxun.knowledge.album.entity.dao.AlbumYelp;
import com.redxun.knowledge.album.mapper.AlbumInfoMapper;
import com.redxun.knowledge.album.mapper.AlbumYelpMapper;
import com.redxun.knowledge.service.ActionLogServiceImpl;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.IJobHandler;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * 文件名: AlbumJobHandler
 * 作者: Zizg
 * 时间: 2023/2/17
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Component
@Slf4j
public class AlbumJobHandler extends IJobHandler {

    @Autowired
    private ActionLogServiceImpl actionLogService;

    @Override
    @Transactional(rollbackFor = Exception.class)
    @XxlJob("countAlbumViews")
    public void execute() throws Exception {
        // 统计专辑点击量
        boolean result = actionLogService.countAlbumViews();
        if (result){
            XxlJobHelper.handleSuccess("执行成功!");
            actionLogService.deleteCountAlbumViews();
        } else {
            XxlJobHelper.handleFail("执行失败!");
        }
    }

}
